:root {
    --Shine-start: -35px;
    --Shine-end: 390px;
    --Spine-width: 75px;
    --Spine-height: 400px;
    --tilt-width: 125px;
    --ScllLft: -150px;
    --ScllRht: 150px;
    --Event-box: #afdbf5;
}
@property --Spinner {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}
body {
    margin: 0;
     background-image: radial-gradient(
        circle,
        #AFDBF5 20%, 
        #cbe6f5 60%,
        #000000 80%
    );
    background-repeat: no-repeat;
    position: relative;
    min-height: 100dvh;
    z-index: -999;
}
* {
    box-sizing: border-box;
}

/* Masthead / Footer */

.Navigation {
    background-color: #1a1a1a;
    border: 2px solid #bbbbbb;
    overflow: hidden;
    display: flex;
    font-size: 1.2rem;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    position: relative;
}
footer .Navigation {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    bottom: 0;
    margin: auto;
    flex-wrap: wrap;
    padding-bottom: 14px;
}
.logo {
    display: flex;
    position: relative;
    width: 75px;
    height: auto;
    margin-right: 10px;
}
.logo img {
    position: relative;
    width: 75px;
    height: auto;
    object-fit: cover;
}
.logo::before{
    position: absolute;
    inset: -8px;
    content: "";
    z-index: 0;
    background-image: conic-gradient(#bbbbbb, #696969, #bbbbbb);
    Filter: blur(8px);
    opacity: 0.4;
}
 .Navbuttons {
    margin: auto 8px;
    padding: 14px 16px;
    overflow: hidden;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    color: #AFDBF5;
    border-radius: 12px;
    border-right: 1px solid #bbbbbb;
}
.Navbuttons:hover {
    color: #8b0000;
    background-color: #D3AF37;
    background: linear-gradient(to bottom, #D3AF37 10%, #977401 100%);
    text-decoration: underline;
    box-shadow: -5px 5px 3px rgba(70, 70, 70, 0.75);
}
.MnNav {
    display: flex;
    justify-content: center;
}
.MnNav a {
    text-decoration: none;
}
.MnNav h1, footer h1 {
    font-family:"coppapyrus";
    font-weight: 800;
    text-align: center;
    margin: auto;
    background: linear-gradient(
        to right,
        #bbbbbb 0%,
        #838284 16%,
        #bbbbbb 32%
    );
    background-clip: text;
    color: transparent;
    animation: Shine 8s ease-in-out infinite alternate;
}
.Topbar {
    color: #000000; 
    font-family: 'Courier New', Courier, monospace;
    text-align:center;
    text-shadow: #bbbbbb -2px 5px, 0 0 8px #bbbbbb; 
    background: linear-gradient(to bottom, #D3AF37 10%, #977401 100%); 
    border: 4px solid #6b5201;
    display: flex;
    justify-content: center;
    margin: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}
.BmNav {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
footer .MnNav {
    margin-top: 10px;
}
@keyframes Shine {
    from {
        background-position: var(--Shine-start);
    }
    to {
        background-position: var(--Shine-end);
    }
}

/* Home page */

.content {
    Background: black;
    position: relative;
    overflow: auto;
    display: flex;
    flex-direction: column;
    width: 90%;
    height: auto;
    justify-content: center;
    align-content: center;
    text-align: center;
    color: #bbbbbb;
    margin: auto;
    padding: 20px 0px;
    border-radius: 1%;
    z-index: -1;
}
.content h1 {
    font-family: 'cinzel';
    font-weight: bold;
    padding: 0px 15px 20px 15px;
}
.Gbx {
    Background: transparent;
    position: relative;
    overflow: hidden;
    display: block;
    width: 100%;
    height: auto;
    justify-content: center;
    margin: auto;
    padding: 20px 0px;
    z-index: 0;
}
/* Opening animation  */
.Gbx div {
    Font-size: 4rem;
    text-align: center;
    text-transform: uppercase;
    font-family: 'Cinzel-bold';
    font-weight: 900;
    color: #dc143c;
    text-shadow: 0 0 3px #1a1a1a; 
    z-index: 1;
    visibility: hidden;
    animation: Step 1s linear 1 forwards;
    animation-delay: 0.2s;
}
.Gbx div:nth-child(1) {
    margin-right: 40%;
    font-family: 'Courier New', Courier, monospace;
}
.Gbx div:nth-child(2) {
    margin-right: 20%;
    animation-delay: 1.2s;
    font-family: 'Courier New', Courier, monospace;
}
.Gbx div:nth-child(3) {
    animation-delay: 2.2s;
}
.Gbx div:nth-child(4) {
    margin-left: 20%;
    animation-delay: 3.2s;
}
.Gbx div:nth-child(5) {
    margin-left: 45%;
    animation-delay: 4.2s;
    color: #D3AF37;
    text-shadow: 0 0 8px #4f3d00, 0 0 10px #977401;
    text-decoration: underline 1px #cbe6f5;
    text-underline-offset: 15px;    
}
@keyframes Step {
    0% {
        transform: translateY(-200px) scaleY(0.9);
        visibility: visible;
    }
    5% {
        opacity: 5%;
        visibility: visible;
    }
    100% {
        transform: translateY(0px) scaleY(1);
        opacity: 1;
        visibility: visible;
    }
}
/* Recent release */
.BKdis {
    position: relative;
    background: #1a1a1a;
    width: 100%;
    height: auto;
    display: flex;
    padding: 0px 10px;
    flex-direction: row;
    flex-wrap: wrap;
    border-radius: inherit;
    color: #D3AF37;
}
.BKhdr {
    margin-left: 4%;
    font-size: 3rem;
    text-align: left;
    background: linear-gradient(
        to right,
        #D3AF37 0%,
        #977401 16%,
        #D3AF37 32%
    );
    background-clip: text;
    color: transparent;
    animation: Shine 8s ease-in-out infinite alternate;
}
.BKcont {
    display: inline-block;
    width: 100%;
    height: auto;
    flex-direction: row;
    font-size: 2rem;
    align-items: end;
}
.title {
    width: 50%;
    height: auto;
    margin: 0 auto 0 auto;
    text-shadow: 0 0 8px #4f3d00, 0 0 10px #977401;
    text-decoration: underline #bbbbbb;
    text-underline-offset: 8px;
}
.title a {
    color: inherit;
    text-decoration: none;
}
.BKimg {
    width: 25%;
    height: auto;
    float: left;
    padding: 5px 20px 20px;
    object-fit: contain;
}
.BKdistxt {
    display: flex;
    position: relative;
    width: 75%;
    height: auto;
    text-align: left;
    padding-left: 2%;
    font-size: 2rem;
}
/* Author link */
.Ata {
    position: relative;
    display: flex;
    background: #dc143c;
    width: 100%;
    height: auto;
    padding: 8px;
    color: #1a1a1a;
    font-size: 1.5rem;
    text-shadow: 0 0 10px #bbbbbb;
    align-items: center;
    margin: 5px 0;
    border-radius: inherit;
    z-index: -1;
}
.Ata a {
    position: relative;
    display: inline-block;
    max-width: 30%;
    height: 30%;
    object-fit: cover;
}
.Ata a img {
    width: 100%;
    height: auto;
}
.Ata a::after,
.Ata a::before {
    --Spinner: 0deg;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: conic-gradient(from var(--Spinner), transparent 84%, #bbbbbb);
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    z-index: -1;
    padding: 4px;
    animation: 8s Spin linear infinite;
}
.Ata a:before {
    filter: blur(2rem);
    opacity: 0.8;
}
@keyframes Spin {
    from {
        --Spinner: 0deg;
    }
    to {
        --Spinner: 360deg;
    }
}
.Ata h2 {
    font-size: 3rem;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: auto;
}
.Ata p {
    padding-right: 50px;
}
/* Message */
.note {
    padding: 20px 15px;
    font-size: 1.5rem;
}
.clsr {
    text-transform: uppercase;
    font-weight: bolder;
    font-size: 2.1rem;
}

/* Library  */

.BKshelf {
	margin: auto;
    overflow: hidden;
	width: 55%;
    height: auto;
	display: grid;
    grid-template-columns: 1fr;
    row-gap:50px;
	border: 10px solid black;
	background-color: #402a26;
	padding: 30px;
    overflow: hidden;
}
.Shelf, .Shelf-tilt {
    display: flex;
    border: 6px solid black;
    background-color: #6d4741;
    padding: 15px 15px 0 15px;
}
.Shelf-tilt {
    padding: 15px 15px 0 0;
}
/* Responsive design for full shelf */
.Smlshelftr {
    display: flex;
}
.Smlshelfnr {
    display: none;
}
/* Books */
.tilt {
    width: var(--tilt-width);
    height: var(--Spine-height);
    margin-left: 50px;
}
.Spine {
    width: var(--Spine-width);
    height: var(--Spine-height);
	background-image: url(Images/RFTA_Spine.png);
    background-size: 100% 100%;
    background-repeat: no-repeat;
	border: 2px solid black;
    border-radius: 5px;
    margin: 0 2px;
}
.Spine-tilt {
    width: var(--Spine-width);
    height: var(--Spine-height);
	background-image: url(Images/RFTA_Spine.png);
    background-size: 100% 100%;
    background-repeat: no-repeat;
	border: 2px solid black;
    border-radius: 5px;
    transform: rotate(-15deg);
}
.Spine, .Spine-tilt {
    display: flex;
    font-size: 2rem;
    color: #ffffff;
    writing-mode: vertical-rl;
    align-items: center;
    justify-content: center;
}
.Spine:hover, .Spine-tilt:hover {
    cursor: pointer;
}
.Placeholder-Spine {
    width: var(--Spine-width);
    height: var(--Spine-height);
	background: transparent;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    border-radius: 5px;
    margin: 0 2px;
}
/* Header */
.Info {
    Font-size: 1.2rem;
    text-align: center;
    font-family: 'Quintessential-bold', 'Quintessential', 'Courier New', Courier;
    color: #dc143c;
}
/* Book interior */
.Pop-up {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    align-items: center;
    justify-content: center;
    transition: opacity 0.5s ease;
}
.Popup-content {
    background-image: url(Images/OpenBooknoBG.png);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
    grid-template-columns: 2fr 2fr;
    column-gap: 5%;
    display: grid;
    align-items: center;
    width: 50%;
    height: 90%;
    border-radius: 5px;
    padding-bottom: 100px;
    overflow: hidden;
    animation: zoomIn 0.5s;
}
.Popup-text {
    width: 75%;
    height: 75%;
    color: #000000;
    font-size: 1.2rem;
    overflow: auto;
    margin-left: 25%;
    margin-top: 15%;
    scrollbar-width: thin;
}
.Popup-link {
    display: grid;
    width: 75%;
    height: 75%;
    place-items: center;
    text-align: center;
    color: #000000;
    font-size: 1rem;
    line-height: 2;
    font-weight: 900;
    overflow: auto;
    margin-top: 15%;
}
@keyframes zoomIn {
    from {
        transform: scale(0.6);
        }
    to {
        transform: scale(1);
        }
}
.close-popup {
  position: absolute;
  top: 10px;
  right: 15px;
  color: #ffffff;
  font-size: 4rem;
  font-weight: bold;
  cursor: pointer;
  transition: transform 0.3s;
}

/* Events */

.Scroll {
    display: flex;
    justify-content: center;
}
.Scroll img {
    display: inline-block;
    width: 100px; 
    height: 250px;
}
.Scroll img:nth-child(1) {
    animation: Leftscroll 2s;
    animation-fill-mode: forwards;
}
.Scroll img:nth-child(2) {
    margin-left: -40px;
    animation: Rightscroll 2s;
    animation-fill-mode: forwards;
}
.Scrollroll {
    display: flex;
    width: 100px;
    height: 225px;
    background: #e1ad6d;
    justify-content: center;
    align-items: center;
    margin-left: -130px;
    margin-top: 10px;
    border-top: 5px solid #000000;
    border-bottom: 5px solid #000000;
    animation: Unfurl 2s;
    animation-fill-mode: forwards;
    z-index: -1;
}
.Scrollroll p {
    text-align: center;
    transform: scaleX(0.20);
    animation: Scrolltxt 1s;
    animation-delay: 1s;
    visibility: hidden;
    animation-fill-mode: forwards;
    overflow: visible;
    white-space: nowrap;
    line-height: 75px;
    font-family: 'Cinzel', 'Garamond';
    font-size: 2.5rem;
}
/* text screen */
.Event-screen {
    Background: #1a1a1a;
    position: relative;
    overflow: hidden;
    display: block;
    flex-direction: column;
    width: 80%;
    height: 1000px;
    text-align: center;
    color: #bbbbbb;
    margin: auto;
    padding: 80px 20px 0;
    border: 10px solid #000000;
    border-radius: 10%;
    z-index: 1;
}
.Event-screen::after {
    background: transparent;
    content: "";
    filter: blur(10px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: 20px solid #000000;
    border-radius: 8%;
    margin: 0;
}
.Event-content {
    Background: transparent;
    position: relative;
    overflow: auto;
    display: block;
    flex-direction: column;
    width: 100%;
    height: 100%;
    text-align: center;
    color: #bbbbbb;
    scrollbar-width: thin;
    scrollbar-color: #d3af37 #000000;
    margin: auto;
    z-index: 1;
}
.Event-blurbL,
.Event-blurbR {
    background: var(--Event-box);
    color: #dc143c;
    position: relative;
    display: block;
    padding: 10px;
    font-size: 2rem;
    width: 90%;
    height: auto;
    margin: auto;
    margin-bottom: 50px;
    border-radius: 40px;
}
.Event-blurbL {
    margin-left: 30px;
}
.Event-blurbR {
    margin-right: 30px;
}
.Event-blurbL::before,
.Event-blurbR::before {
    content: "";
    position: absolute;
    width: 0;
    top: 50%;
    transform: rotate(45deg);
    margin-top: -20px;
    border: 25px solid var(--Event-box);
    z-index: -1;
}
.Event-blurbL::before {
    left: 0;
}
.Event-blurbR::before {
    right: 0;
}
.Event-blurbL::after,
.Event-blurbR::after {
    background: transparent;
    content: "";
    filter: blur(10px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: 20px solid var(--Event-box);
    border-radius: 40px;
    margin: 0;
    z-index: -1;
}
@keyframes Scrolltxt {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
        visibility: visible;
    }
}
@keyframes Leftscroll {
    to {
        transform: translateX(var(--ScllLft));
    }
}
@keyframes Rightscroll {
    to {
        transform: translateX(var(--ScllRht));
    }
}
@keyframes Unfurl {
    to {
    transform: scaleX(4);
    }
}

/* About  */

.Pattern1 {
    display: block;
    background: #1a1a1a;
    width: 100%;
    height: auto;
    align-items: center;
    border-radius: inherit;
}
.Pattern1 a {
    text-decoration: none;
}
.Pattern1:nth-child(1) {
    margin-top: 30px;
}
.Pattern1 p {
    color: #d3af37;
    font-size: 2rem;
}
.Pattern1 img {
    display: block;
    margin: auto;
    width: 25%;
    height: auto;
}
.Pattern2 {
    background: #dc143c;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    font-size: 2rem;
    padding: 0 20px;
    border-radius: inherit;
    color: #bbbbbb;
}

/* Copyright footer */

.Copy {
    display: block;
    text-align: center;
    color: #bbbbbb;
    font-size: 0.8rem;
    margin-bottom: 0;
}

/* Media Queries  */

@media screen and (max-width:1700px) {
    
    /* Library */

    .BKshelf {
        width: 65%;
        padding: 15px;
    }
}


@media screen and (max-width:1400px) {
    :root {
        --Spine-width: 50px;
        --Spine-height: 300px;
        --tilt-width: 90px;
    }
    
    /* Library */

    .BKshelf {
        width: 70%;
        padding: 15px;
    }
    .tilt {
        margin-left: 35px;
    }
    .Spine, .Spine-tilt {
        font-size: 1.8rem;
    }
}


@media screen and (max-width:1100px) {
    :root {
        --Spine-width: 50px;
        --Spine-height: 300px;
        --tilt-width: 90px;
    }

    /* Masthead */

    .Navigation {
        flex-direction: column;
    }
    .logo {
        margin-left: auto;
    }
    .MnNav h1 {
        margin-left: 0;
    }

    /* Home */

    .BKhdr {
        font-size: 2.5rem;
    }
    .BKimg {
        width: 40%;
        height: auto;
        padding-bottom: 0;
    }
    .BKdistxt {
        display: inline-block;
        width: 100%;
        height: auto;
        margin: auto;
        font-size: 1.6rem;
    }
    .Ata p {
        padding-right: 10px;
    }
    .Ata {
        padding: 4px;
    } 
    .title {
        width: 50%;
        margin-left: 40%;
        margin-top: 40%;
    }

    /* Library */

    .Info {
        font-size: 0.9rem;
    }
    .BKshelf {
        width: 85%;
        padding: 15px;
    }
    .tilt {
        margin-left: 35px;
    }
    .Spine, .Spine-tilt {
        font-size: 1.8rem;
    }
    .Popup-content {
        width: 80%;
        height: 80%;
    }
    .Popup-text, .Popup-link {
        font-size: 1.5rem;
        margin-top: 20%;
    }

    /* Events */

    .Event-blurbL,
    .Event-blurbR {
        font-size: 1.8rem;
    }

    /* About */

    .Pattern1 img {
        width: 35%;
        height: auto;
    }
}


@media screen and (max-width:800px) {
    :root {
        --Spine-width: 50px;
        --Spine-height: 300px;
        --tilt-width: 90px;
    }

    /* Masthead */

    .Navigation {
        padding-bottom: 10px;
        flex-direction: column;
    }
    .logo {
        margin-left: auto;
    }
    .Navbuttons {
        margin: auto 4px;
        padding-left: 12px;
    }
    .MnNav h1 {
        animation-duration: 8s;
        margin-left: 0;
    }

    /* Home */
    
    .BKdis {
        flex-direction: column;
    }
    .BKhdr {
        font-size: 2rem;
    }
    .title {
        width: 50%;
        margin-left: 50%;
        margin-top: 40%;
        font-size: 1.4rem;
    }    
    .BKimg {
        width: 50%;
        height: auto;
        padding-bottom: 0;
    }
    .BKdistxt {
        display: inline-block;
        width: 100%;
        height: auto;
        margin: auto;
    }
    .Ata {
        padding: 4px;
        font-size: 1rem;
    }    
    .Ata h2 {
        font-size: 1rem;
    }
    .Ata p {
        padding-right: 10px;
    }
    .Ata a:after,
    .Ata a:before {
        animation-duration: 4s;
    }
    .note {
        font-size: 1rem;
    }

    /* Library */

    .Info {
        font-size: 0.8rem;
    }
    .BKshelf {
        width: 95%;
        padding: 15px;
    }
    .Spine, .Spine-tilt {
        font-size: 1.6rem;
    }
    .tilt {
        margin-left: 35px;
    }
    .Popup-content {
        width: 95%;
        height: 50%;
    }
    .Popup-text, .Popup-link {
        height: 80%;
        margin-top: 25%;
    }
    .Popup-link {
        font-size: 1.2rem;
        align-items: start;
    }

    /* Events */

    .Event-screen {
        width: 90%;
    }
    .Event-blurbL,
    .Event-blurbR {
        font-size: 1.5rem;
    }

    /* About */

    .Pattern1 p, 
    .Pattern1 h1 {
        font-size: 1.8rem;
    }
    .Pattern2 {
        font-size: 1.6rem;
    }
}


@media screen and (max-width:650px) {
    :root {
        --Spine-width: 50px;
        --Spine-height: 300px;
        --tilt-width: 100px;
        --ScllLft: -100px;
        --ScllRht: 100px;
    }

    /* Home */

    .title {
        width: 50%;
        margin-left: 50%;
        margin-top: 40%;
        font-size: 1rem;
    }
    .BKdistxt {
        font-size: 0.8rem;
    }
    .BKhdr {
        font-size: 1.5rem;
    }
    .Gbx div {
    Font-size: 3.2rem;
    }
    .Gbx div:nth-child(1) {
    margin-right: 50%;
    }
    .Gbx div:nth-child(2) {
    margin-right: 30%;
    }
    .Gbx div:nth-child(3) {
    margin-right: 10%;
    }
    .Gbx div:nth-child(4) {
    margin-left: 10%;
    }
    .Gbx div:nth-child(5) {
    margin-left: 40%;
    }
    /* Library */

    .Info {
        padding: 45px 15px 45px 15px;
        font-size: 0.6rem;
    }
    .BKshelf {
        width: 100%;
        padding: 15px;
    }
    .Shelf {
        justify-content: center;
        border-width: 2px;
    }
    .Shelf-tilt {
        padding-top: 15px;
        padding-right: 0;
        border-width: 2px;
    }
    .Spine, .Spine-tilt {
        font-size: 1.5rem;
    }
    .tilt {
        margin-left: 45px;
    }
    .Spine-tilt {
        transform: rotate(-20deg);
    }
    .Smlshelftr {
        display: none;
    }
    .Smlshelfnr {
        display: flex;
    }
    .Popup-text, .Popup-link {
        height: 80%;
        margin-top: 50%;
        font-size: 0.9rem;
    }

    /* Events */

    .Scroll img {
        display: inline-block;
        width: 75px; 
        height: 200px;
    }    
    .Scrollroll {
        margin-left: -90px;
        width: 60px;
        height: 175px;
        animation-duration: 2.8s;
    }
    .Scrollroll p {
        line-height: 50px;
        font-size: 1.8rem;
    }
    .Event-screen {
        width: 95%;
        height: 800px;
    }
    .Event-blurbL,
    .Event-blurbR {
        font-size: 1.2rem;
    }

    /* About */

    .Pattern1 img {
        width: 50%;
        height: auto;
    }
    .Pattern1 p, 
    .Pattern1 h1 {
        font-size: 1.6rem;
    }
    .Pattern2 {
        font-size: 1.2rem;
    }
}   